- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions

# FbxQueryIsA Class Reference

Search for all occurrences

## Detailed Description

Definition at line 290 of file fbxquery.h.

`#include <fbxquery.h>`

Inheritance diagram for FbxQueryIsA:
[legend]

List of all members.

## Public Member Functions
| FBXSDK_FRIEND_NEW ()
virtual FbxInt | GetUniqueId () const
| Get unique filter Id.
virtual bool | IsValid (const FbxProperty &pProperty) const
| Judge if the given property is valid.
virtual bool | IsEqual (FbxQuery *pOtherQuery) const
| This compares whether two FbxQuery are the same, NOT whether the query matches or not.
## Static Public Member Functions
static FbxQueryIsA * | Create (FbxClassId pClassId)
## Protected Member Functions
| FbxQueryIsA (FbxClassId pClassId)

## Constructor & Destructor Documentation

FbxQueryIsA | ( | FbxClassId | pClassId | ) | `[protected]`

## Member Function Documentation

FBXSDK_FRIEND_NEW | ( |  | ) |

Search for all occurrences

Reimplemented from FbxQuery.

static FbxQueryIsA* Create | ( | FbxClassId | pClassId | ) | `[static]`

Search for all occurrences

virtual FbxInt GetUniqueId | ( |  | ) | const `[inline, virtual]`

Search for all occurrences

Get unique filter Id.

Reimplemented from FbxQuery.

Definition at line 296 of file fbxquery.h.

    { return FBXSDK_QUERY_UNIQUE_ID+4; }

virtual bool IsValid | ( | const FbxProperty & | pProperty | ) | const `[virtual]`

Search for all occurrences

Judge if the given property is valid.

Parameters:

  pProperty | The given property.

Returns:
  `True` always, not implemented.

Reimplemented from FbxQuery.

virtual bool IsEqual | ( | FbxQuery * | pOtherQuery | ) | const `[virtual]`

Search for all occurrences

This compares whether two FbxQuery are the same, NOT whether the query matches or not.

It's strictly the equivalent of an operator==, but virtual.

Parameters:

  pOtherQuery | The given FbxQuery

Reimplemented from FbxQuery.

The documentation for this class was generated from the following file:

- fbxsdk/core/fbxquery.h

FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA
FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA FbxQueryIsA